Built LMS Help Center
API Reference and PlaygroundUsers and GroupsGroups

GET List user groups

Retrieve a paginated list of user groups with member counts

GET
/groups

Retrieve a paginated list of user groups with member counts

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Query Parameters

limit?integer
Range1 <= value <= 100
Default25
offset?integer
Range0 <= value
Default0
search?string
sort_by?string

Value in

  • "name"
  • "created_at"
  • "member_count"
sort_order?string

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/groups"
{  "data": [    {      "id": "{id}",      "name": "string",      "description": "string",      "manager_id": "{manager_id}",      "member_count": 0,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "limit": 0,    "offset": 0,    "has_more": true  }}